//Проверка ультразвукового
//датчика расстояния HC-SR04
float D = 0; // Дальность
// Подключение датчика
int Trig = 2;
int Echo = 3;

void setup()
{
  // Используем посл. порт
  Serial.begin(9600);
  //Конфигурируем выводы
  pinMode(Trig, OUTPUT);
  pinMode(Echo, INPUT);
}

void loop()
{ // Формируем импульс Trig
  digitalWrite(Trig, LOW);
  delayMicroseconds(2);
  digitalWrite(Trig, HIGH);
  delayMicroseconds(10);
  digitalWrite(Trig, LOW);
  // Измеряем длительность
  // импульса Echo и переводим
  // её в сантиметры
  D = pulseIn(Echo, HIGH) / 58;
  // Выводим результат
  Serial.print("D= ");
  Serial.print(D);
  Serial.println(" cm");
  //Задержка до следующего
  //измерения
  delay(1000);
}
