// Проверка двух ультразвуковых
// датчиков расстояния HC-SR04

// Результаты измерения
float D1, D2;
// Подключения датчика 1
int Trig1 = 2;
int Echo1 = 3;
// Подключение датчика 2
int Trig2 = 4;
int Echo2 = 5;

void setup()
{
  // Используем посл. порт
  Serial.begin(9600);
  // Конфигурируем выводы
  pinMode(Trig1,OUTPUT);
  pinMode(Echo1,INPUT);
  pinMode(Trig2,OUTPUT);
  pinMode(Echo2,INPUT);
}

void loop()
{ 
  // Формируем импульс Trig
  // для датчика 1
  digitalWrite(Trig1, LOW);
  delayMicroseconds(2);
  digitalWrite(Trig1, HIGH);
  delayMicroseconds(10);
  digitalWrite(Trig1, LOW);
  // Измеряем расстояние
  // датчиком 1 и переводим
  // результат в сантиметры
  D1 = pulseIn(Echo1, HIGH)/58;
  // Выводим результат
  Serial.print("D1= "); 
  Serial.print(D1);  
  Serial.println(" cm");
  delay(500);
  // Повторяем всё с датчиком 2 
  digitalWrite(Trig2, LOW);
  delayMicroseconds(2);
  digitalWrite(Trig2, HIGH);
  delayMicroseconds(10);
  digitalWrite(Trig2, LOW);
  D2 = pulseIn(Echo2, HIGH)/58;
  Serial.print("D2= "); 
  Serial.print(D2);  
  Serial.println(" cm");
  delay(500);
}
